# Uses of Class
org.jmol.modelset.Measurement

Packages that use Measurement
Package
Description
org.jmol.api
org.jmol.modelset
org.jmol.shape

## Uses of Measurement in org.jmol.api

Methods in org.jmol.api with parameters of type Measurement
Modifier and Type
Method
Description
`void`
JmolMeasurementClient.`processNextMeasure(MeasurementData measurementData, Measurement m)`

## Uses of Measurement in org.jmol.modelset

Subclasses of Measurement in org.jmol.modelset
Modifier and Type
Class
Description
`class`
`MeasurementPending`
Methods in org.jmol.modelset that return Measurement
Modifier and Type
Method
Description
`Measurement`
Measurement.`setM(ModelSet modelSet, Measurement m, float value, short colix, String strFormat, int index)`
`Measurement`
Measurement.`setPoints(ModelSet modelSet, int[] indices, Point3fi[] points, TickInfo tickInfo)`
Methods in org.jmol.modelset with parameters of type Measurement
Modifier and Type
Method
Description
`static int`
Measurement.`find(Lst<Measurement> measurements, Measurement m)`
`static String`
LabelToken.`formatLabelMeasure(Viewer vwr, Measurement m, String label, float value, String units)`
`void`
MeasurementData.`processNextMeasure(MeasurementData md, Measurement m)`
if this is the client, then this method is called by MeasurementData when a measurement is ready
`Measurement`
Measurement.`setM(ModelSet modelSet, Measurement m, float value, short colix, String strFormat, int index)`
Method parameters in org.jmol.modelset with type arguments of type Measurement
Modifier and Type
Method
Description
`static int`
Measurement.`find(Lst<Measurement> measurements, Measurement m)`

## Uses of Measurement in org.jmol.shape

Fields in org.jmol.shape with type parameters of type Measurement
Modifier and Type
Field
Description
`final Lst<Measurement>`
Measures.`measurements`
Methods in org.jmol.shape with parameters of type Measurement
Modifier and Type
Method
Description
`void`
Measures.`processNextMeasure(MeasurementData md, Measurement m)`